Bug 607519 - [abrt] crash in tortoisehg-1.0.4-1.fc13: thgconfig.py:1244:get_ini_config:TypeError: 'Undefined' object is unsubscriptable
Summary: [abrt] crash in tortoisehg-1.0.4-1.fc13: thgconfig.py:1244:get_ini_config:Typ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tortoisehg
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bb8f7b6b
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 09:54 UTC by Abhishek Singh
Modified: 2010-08-03 01:09 UTC (History)
4 users (show)

Fixed In Version: tortoisehg-1.1.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-03 01:00:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (830 bytes, text/plain)
2010-06-24 09:54 UTC, Abhishek Singh
no flags Details

Description Abhishek Singh 2010-06-24 09:54:36 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/hgtk commit
component: tortoisehg
executable: /usr/bin/hgtk
kernel: 2.6.33.5-124.fc13.x86_64
package: tortoisehg-1.0.4-1.fc13
reason: thgconfig.py:1244:get_ini_config:TypeError: 'Undefined' object is unsubscriptable
release: Fedora release 13 (Goddard)

backtrace
-----
thgconfig.py:1244:get_ini_config:TypeError: 'Undefined' object is unsubscriptable

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/thgconfig.py", line 727, in fileselect
    self.refresh()
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/thgconfig.py", line 741, in refresh
    self.refresh_vlist()
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/thgconfig.py", line 1180, in refresh_vlist
    curvalue = self.get_ini_config(cpath)
  File "/usr/lib/python2.6/site-packages/tortoisehg/hgtk/thgconfig.py", line 1244, in get_ini_config
    return self.ini[section][key]
TypeError: 'Undefined' object is unsubscriptable

Local variables in innermost frame:
section: 'web'
cpath: 'web.name'
self: <ConfigDialog object at 0x7fc7c005b2d0 (GtkDialog at 0x19351f0)>
key: 'name'

How to reproduce
-----
1. Try applying the changes to the global configurations.

Comment 1 Abhishek Singh 2010-06-24 09:54:41 UTC
Created attachment 426511 [details]
File: backtrace

Comment 2 Mads Kiilerich 2010-06-24 10:08:22 UTC
This issue has been fixed upstream - see
http://bitbucket.org/tortoisehg/stable/issue/1294/exception-with-iniparse-04

The fix should be in the release to made july 1st.

Comment 3 Lee Lian Hoy 2010-06-26 02:54:12 UTC
Package: tortoisehg-1.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open global config from context-menu in blank space of folder
2.
3.

Comment 4 DanielH1987 2010-07-02 20:29:24 UTC
Package: tortoisehg-1.0.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Right-Click -> TortoiseHG -> Global Settings
2. Typed meld into the diff viewer
3. crash

Comment 5 Lee Lian Hoy 2010-07-03 06:05:01 UTC
Package: tortoisehg-1.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open repository config from context menu on empty location in folder
2.
3.

Comment 6 Lee Lian Hoy 2010-07-11 12:05:45 UTC
Package: tortoisehg-1.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open visual editor from context menu
2.
3.

Comment 7 Fedora Update System 2010-07-13 10:57:05 UTC
tortoisehg-1.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tortoisehg-1.1.1-1.fc13

Comment 8 Fedora Update System 2010-07-13 10:57:14 UTC
tortoisehg-1.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tortoisehg-1.1.1-1.fc12

Comment 9 Fedora Update System 2010-07-13 20:37:20 UTC
tortoisehg-1.1.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tortoisehg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tortoisehg-1.1.1-1.fc13

Comment 10 Fedora Update System 2010-07-13 20:44:53 UTC
tortoisehg-1.1.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tortoisehg'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tortoisehg-1.1.1-1.fc12

Comment 11 Fedora Update System 2010-08-03 01:00:05 UTC
tortoisehg-1.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-08-03 01:09:49 UTC
tortoisehg-1.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.